TokenController Methods

The TokenController type exposes the following members.

Methods
  NameDescription
Public methodCreateAttributeToken
POST /Token/AttributeToken/{id} Creates an attribute token.
Public methodCreateToken
POST /Token/ Creates a token.
Public methodDeleteToken
DELETE /Token/{id} Deletes a token.
Protected methodEnsureCallerContext
If the current context is not already the specified context, creates a new caller context which is a clone of the specified context and sets it as the current one.
(Inherited from ApiControllerBase.)
Protected methodEnsureFormFileMultipartContent
Ensures when form files are access the content is MIME multi-part which we want.
(Inherited from ApiControllerBase.)
Public methodGetAssociatedTokenDataType
GET /Token/AttributeToken/{id} Gets the data type of an attribute token.
Protected methodGetClientIdFromCookieOrProvided
Gets the client ID from cookie or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.)
Public methodGetLocalizations
GET /Token/Localizations/{id} Gets the list of localized captions for the specified token.
Public methodGetParameterTokens Obsolete.
GET /Token/ParameterTokens/ OBSOLETE - Use POST /Token/GetParameterTokens/ instead. Retrieves the parameter tokens.
Public methodGetParameterTokensWithOptions
POST /Token/GetParameterTokens/ Retrieves the parameter tokens.
Protected methodGetServiceT
Gets the requested service.
(Inherited from ApiControllerBase.)
Protected methodGetSessionIdFromCookieHeaderOrProvided
Gets the session ID from cookie, the authorization header or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.)
Public methodGetTokenById
GET /Token/{id} Gets a token.
Public methodGetVisibleTokens
POST /Token/VisibleTokens Gets a list of tokens visible to the caller, filtered by project ID.
Protected methodLoadSession
Creates a new caller context associated with the specified session ID. The session is not validated.
(Inherited from ApiControllerBase.)
Public methodPromoteToGlobal
PUT /Token/PromoteToGlobal/ Promotes an existing project or account token to a global token.
Public methodQueryNumberOfTokens
POST /Token/Count/ Gets the number of tokens that match the filter.
Public methodQueryTokens
POST /Token/QueryTokens Gets a list of TokenDefinitionData objects matching the specified criteria.
Public methodReferencedEntities
GET /Token/ReferencedEntities/{id} Gets the list of file system entities that reference the specified token.
Protected methodRequestFirstFormFile
Retrieves the first form file from the request.
(Inherited from ApiControllerBase.)
Protected methodRequestFormFiles
Retrieves the form files from the request.
(Inherited from ApiControllerBase.)
Public methodResolveToken
POST /Token/Resolve/{id} Resolves the given token to a string representation of the resolved value.
Public methodResolveTokenByIds
POST /Token/ResolveByIds/ Resolves multiple given tokens to a string representation of the resolved value.
Protected methodReturnInvalidWindowsIdentityResponse
Returns the invalid windows identity response to challenge the browser.
(Inherited from ApiControllerBase.)
Public methodSetLocalizations
PUT /Token/Localizations/{ID} Updates the list of localized captions for the specified token.
Public methodUpdateAssociatedTokenDataType
PUT /Token/AttributeToken/{id} Updates an attribute tokens data type.
Public methodUpdateToken
PUT /Token/{id} Updates a token.
Top
See Also